#
# spec file for package ddgr
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ddgr
Version:        2.1
Release:        1.2
Summary:        DuckDuckGo from the terminal
License:        GPL-3.0-only
Group:          Productivity/Networking/Web/Utilities
URL:            https://github.com/jarun/ddgr
Source:         https://github.com/jarun/ddgr/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Requires:       python3
BuildArch:      noarch

%description
A cmdline utility to search DuckDuckGo from the terminal. Similar to googler for Google.

Unlike the web interface, you can specify the number of search results you would like to see per page. It's more convenient than skimming through 30-odd search results per page. The default interface is carefully designed to use minimum space without sacrificing readability.

%prep
%setup -q
sed -i '/README/ d' Makefile
sed -i '1s/^#!.*/#!\/usr\/bin\/python3/' ddgr

%build
#not needed

%install
%make_install PREFIX=%{_prefix}
install -Dm 644 auto-completion/bash/ddgr-completion.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%files
%doc CHANGELOG README.md
%license LICENSE
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Wed Dec  7 2022 Dirk Müller <dmueller@suse.com>
- update to 2.1:
  * Change user agent
  * Remove python 3.6 support
  * Minor documentation changes
* Sat Sep 24 2022 Dirk Müller <dmueller@suse.com>
- update to 2.0:
  - Display results in reversed order (`--rev`, `--reverse`)
  - Support Python v3.10 (dropped v3.6)
* Wed Sep  2 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.9:
  - Fix breakage due to changes required in POST method
  - Support wayland native copier `wl-copy` for url copy
  - Unblock GUI browsers on WSL
  - Update auto-generated package list
  - Skip broken Arch Linux packaging (https://github.com/BytePackager issue #204)
  - Bump version
  - Update docs
* Thu Oct 24 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 1.7:
  - Use setproctitle to set process name
  - Monkeypatch textwrap for CJK wide characters
  - Fix write to GNU Screen paste buffer
  - Refresh current page on URL expansion toggle
  - Smarter colorization and better support for native terminals on Windows
  - Handle bangs in the form g!
* Sat Mar 16 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 1.6:
  - User interface revamped
  - DDG instant answers
  - Haiku OS clipboard support
  - Packaging preparation for PyPI
* Sat Oct 13 2018 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 1.5:
  - Support xclip as a clipboard utility on *nix
  - Support GNU Screen and tmux as clipboard fallback
  - Support Termux clipboard on Android
* Wed May  2 2018 sebix+novell.com@sebix.at
- update to version 1.4:
  - Copy URL at omniprompt
  - Check default stdout encoding at start
  - New environment variable DISABLE_PROMPT_COLOR
* Mon Jan 15 2018 sebix+novell.com@sebix.at
- initial package for version 1.2
